
Redmine - Patch #34461

Update Redcarpet to 3.5.1

2020-12-17 07:25 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 4.0.8   

Description

https://github.com/vmg/redcarpet/releases/tag/v3.5.1

Associated revisions

Revision 20665 - 2020-12-18 01:40 - Go MAEDA

Update Redcarpet to 3.5.1 (#34461).

The version fixes a security vulnerability using :quote in combination with the :escape_html option.

Revision 20666 - 2020-12-18 01:43 - Go MAEDA

Merged r20665 from trunk to 4.1-stable (#34461).

Revision 20667 - 2020-12-18 06:13 - Go MAEDA

Merged r18353 from trunk to 4.0-stable (#34461).

This merge is intended to update Redcarpet from 3.4 to 3.5 before merging r20665 which updates Redcarpet to 3.5.1.

Revision 20668 - 2020-12-18 06:29 - Go MAEDA

Merged r20665 from trunk to 4.0-stable (#34461).

History

#1 - 2020-12-17 07:26 - Marius BĂLTEANU

- Tracker changed from Defect to Patch

diff --git a/Gemfile b/Gemfile

index 9824c3b2e..a5baf33ce 100644

--- a/Gemfile

+++ b/Gemfile

@@ -44,7 +44,7 @@ end

 # Optional Markdown support, not for JRuby

 group :markdown do

-  gem "redcarpet", "~> 3.5.0" 

+  gem "redcarpet", "~> 3.5.1" 

 end

#2 - 2020-12-17 08:01 - Go MAEDA

https://github.com/vmg/redcarpet/blob/master/CHANGELOG.md#version-351-security

Fix a security vulnerability using :quote in combination with the :escape_html option.

#3 - 2020-12-18 06:29 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you.
